Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IAction

    com.change_vision.jude.api.inf.model.IAction

All Superinterfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IAction

extends IActivityNode

Interface for Actions.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivity` | `getCallingActivity()` Get a Calling Activity.
`abstract IInputPin[]` | `getInputs()` Get Input Pins.
`abstract IOutputPin[]` | `getOutputs()` Get Output Pins.
`abstract boolean` | `isAcceptEventAction()` Check if it is an AcceptEventAction.
`abstract boolean` | `isAcceptTimeEventAction()` Check if it is an AcceptTimeEventAction.
`abstract boolean` | `isCallBehaviorAction()` Check if it is a CallBehaviorAction.
`abstract boolean` | `isConnector()` Check if it is a Connector.
`abstract boolean` | `isProcess()` Check if it is a Process.
`abstract boolean` | `isSendSignalAction()` Check if it is a SendSignalAction.
`abstract void` | `setCallingActivity(IActivity callingActivity)` Set a Calling Activity.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getCallingActivity

    abstract IActivity getCallingActivity()

  Get a Calling Activity.

  Returns:
    Activity.

### isCallBehaviorAction

    abstract boolean isCallBehaviorAction()

  Check if it is a CallBehaviorAction.

  Returns:
    true it is a CallBehaviorAction / false it is not a CallBehaviorAction

### getInputs

    abstract IInputPin[] getInputs()

  Get Input Pins.

  Returns:
    the array of Input Pin. Return the empty array if there is none.
  Since:
    6.6

### getOutputs

    abstract IOutputPin[] getOutputs()

  Get Output Pins.

  Returns:
    the array of Output Pin. Return the empty array if there is none.
  Since:
    6.6

### setCallingActivity

    abstract void setCallingActivity(IActivity callingActivity)

  Set a Calling Activity.

  Parameters:
    `callingActivity` - Calling Activity
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                PARAMETER_ERROR_KEY - if a parameter is not set properly.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.8.0

### isSendSignalAction

    abstract boolean isSendSignalAction()

  Check if it is a SendSignalAction.

  Returns:
    true it is a SendSignalAction / false it is not a SendSignalAction
  Since:
    6.8.0

### isAcceptEventAction

    abstract boolean isAcceptEventAction()

  Check if it is an AcceptEventAction.

  Returns:
    true it is an AcceptEventAction / false it is not an AcceptEventAction
  Since:
    6.8.0

### isAcceptTimeEventAction

    abstract boolean isAcceptTimeEventAction()

  Check if it is an AcceptTimeEventAction.

  Returns:
    true it is an AcceptTimeEventAction / false it is not an AcceptTimeEventAction
  Since:
    6.8.0

### isProcess

    abstract boolean isProcess()

  Check if it is a Process.

  Returns:
    true it is a Process / false it is not a Process
  Since:
    6.8.0

### isConnector

    abstract boolean isConnector()

  Check if it is a Connector.

  Returns:
    true it is a Connector / false it is not a Connector
  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD